Thursday, April 6th 2017

Futuremark Releases 3DMark v2.3.3682

Futuremark today released an update to 3DMark benchmark suite. Version 2.3.3682 resolves a critical bug in the API overhead test, which causes the test to fail on some machines, towards the end of the DirectX 12 API test. The API overhead benchmark tests the amount of API draw-calls your machine can handle, over popular 3D graphics APIs, including DirectX 11 (single-threaded and multi-threaded), DirectX 12, and Vulkan. The rest of the feature-set is consistent with the older version 2.3.3663, in which the company introduced a brand new Vulkan API overhead test, replacing the Mantle API test. Grab the update from the link below.
DOWNLOAD: Futuremark 3DMark + Time Spy v2.3.3682
Add your own comment

4 Comments on Futuremark Releases 3DMark v2.3.3682

#1
P4-630
The Way It's Meant to be Played
Yeah just got the update from Steam when I started Steam.
Posted on Reply
#2
Caring1
Are they compatible with W7?
Posted on Reply
#3
P4-630
The Way It's Meant to be Played
"Caring1 said:
Are they compatible with W7?
"
  • Is 3DMark compatible with Windows 8 / 8.1?
    Yes, 3DMark is compatible with Windows 8 and 8.1
  • What version of DirectX does 3DMark use?
    Every test in 3DMark except Time Spy uses a DirectX 11 engine. We then use a DirectX 11 property called Direct3D feature levels to create tests for specific versions of DirectX compatible hardware. Direct3D feature levels allow developers to use a DirectX 11 engine while still supporting existing hardware, from DirectX 9 to DirectX 11, from lightweight tablets to high-end desktops.

    Ice Storm uses a DirectX 11 engine limited to Direct3D feature level 9_1, while Cloud Gate uses a DirectX 11 engine limited to Direct3D feature level 10_0. Sling Shot Extreme, Sky Diver and Fire Strike use a multi-threaded DirectX 11 engine.

    Time Spy test uses a DirectX 12 engine.
  • Does 3DMark use DirectX 11.1?
    Yes, but only in a minor way and with a fallback for DirectX 11 to ensure compatibility with the widest range of hardware and to ensure that all tests work with Windows Vista and Windows 7 as well as Windows 8.
    "
https://www.futuremark.com/support/3dmark
Posted on Reply
#4
Caring1
Just an update after downloading and installing this, it would not let me run any benchmarks and kept giving me an error message saying something about not qualifying as my key was invalid.
Removed this from my computer and reinstalled an old version I had and then could update to this version, to the point I could run benchmarks, except TimeSpy as that requires Dx12 as a minimum.
Posted on Reply